import { Component, h, Prop } from "@stencil/core";
import { AppDate } from "../../../utils/date";
export class AccountTransactionComponent {
  render() {
    let credit = this.transaction.type == 'credit' ? true : false;
    return h("li", { class: "p-2 pr-0 flex border-t pb-5 rounded-5 border-blue-100" },
      h("div", { class: `text-lg flex-initial rounded-full h-20 w-20 flex text-white items-center justify-center font-medium ` + (credit ? "bg-green-300" : 'bg-red-300') },
        "\u20B9",
        this.transaction.amount),
      h("div", { class: "flex-1" },
        h("div", { class: "text-xs float-right rounded-l-full py-1 px-4 bg-gray-300" }, (new AppDate()).toDateMonthStr()),
        h("div", { class: "pl-5" },
          h("div", { class: "text-lg pr-16" }, this.transaction.title),
          h("div", { class: "text-sm text-gray-400" }, this.transaction.description))));
  }
  static get is() { return "account-transaction-component"; }
  static get originalStyleUrls() { return {
    "$": ["account-transaction-component.css"]
  }; }
  static get styleUrls() { return {
    "$": ["account-transaction-component.css"]
  }; }
  static get properties() { return {
    "transaction": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "AccountTransaction",
        "resolved": "{ id: number; title: string; created_at: string; updated_at: string; description: string; amount: number; type: string; vendor: Vendor; }",
        "references": {
          "AccountTransaction": {
            "location": "import",
            "path": "../../../domain/models/account-transaction"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Account transction"
      }
    }
  }; }
}
