import { HttpAuthHeader } from "../../data/protocols/http/http-auth-header";
import { HttpGetClient } from "../../data/protocols/http/http-get-client";
import { HttpPostClient } from "../../data/protocols/http/http-post-client";
import { HttpPutClient } from "../../data/protocols/http/http-put-client";
export declare class FetchHttpClient implements HttpPostClient, HttpGetClient, HttpPutClient, HttpAuthHeader {
  private static instance;
  private static token;
  /**
   * Singleton class private contructor
   */
  private constructor();
  /**
   * Singleton class create instance
   */
  static getInstance(): FetchHttpClient;
  /**
   * Get auth token
   *
   * @returns string | null
   */
  getAuthToken(): string;
  /**
   * Post request
   * @param params
   * @returns
   */
  post(params: HttpPostClient.Params): Promise<any>;
  put(params: HttpPutClient.Params): Promise<any>;
  get(params: HttpGetClient.Params): Promise<any>;
  /**
   * Prepare auth headers
   *
   * @param headers
   * @returns
   */
  prepareAuthHeader(headers?: {
    [key: string]: string | null;
  }): {
    [key: string]: string;
  };
}
